Package org.linphone.core

# Interface VideoActivationPolicy

public interface VideoActivationPolicy
Object describing policy regarding video streams establishments.
Use `setAutomaticallyAccept(boolean)` and `setAutomaticallyInitiate(boolean)` to
tell the Core to automatically accept or initiate video during calls.
Even if disabled, you'll still be able to add it later while the call is
running.

## Method Summary

Modifier and Type
Method
Description
`VideoActivationPolicy`
`clone()`
Instantiates a new `VideoActivationPolicy` object with same values as the
source.
`boolean`
`getAutomaticallyAccept()`
Gets the value for the automatically accept video policy.
`MediaDirection`
`getAutomaticallyAcceptDirection()`
Gets the value for the automatically accept video direction.
`boolean`
`getAutomaticallyInitiate()`
Gets the value for the automatically initiate video policy.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setAutomaticallyAccept(boolean enable)`
Sets the value for the automatically accept video policy.
`void`
`setAutomaticallyAcceptDirection(MediaDirection direction)`
Sets the value for the automatically accept direction.
`void`
`setAutomaticallyInitiate(boolean enable)`
Sets the value for the automatically initiate video policy.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getAutomaticallyAccept

boolean getAutomaticallyAccept()
Gets the value for the automatically accept video policy.

Returns:
  whether or not to automatically accept video requests is enabled

### setAutomaticallyAccept

void setAutomaticallyAccept(boolean enable)
Sets the value for the automatically accept video policy.

Parameters:
  `enable` - whether or not to enable automatically accept video requests

### getAutomaticallyAcceptDirection

MediaDirection getAutomaticallyAcceptDirection()
Gets the value for the automatically accept video direction.

Returns:
  the `MediaDirection` that will be set for video stream if
  automatically accepted.

### setAutomaticallyAcceptDirection

void setAutomaticallyAcceptDirection(MediaDirection direction)
Sets the value for the automatically accept direction.

Parameters:
  `direction` - the `MediaDirection` desired for video stream when
  automatically accepted.

### getAutomaticallyInitiate

boolean getAutomaticallyInitiate()
Gets the value for the automatically initiate video policy.

Returns:
  whether or not to automatically initiate video calls is enabled

### setAutomaticallyInitiate

void setAutomaticallyInitiate(boolean enable)
Sets the value for the automatically initiate video policy.

Parameters:
  `enable` - whether or not to enable automatically initiate video calls

### clone

@NonNull VideoActivationPolicy clone()
Instantiates a new `VideoActivationPolicy` object with same values as the
source.

Returns:
  the newly created `VideoActivationPolicy` object

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`